## org.Biocorba.Seqcore
Interface _Seq_Operations

All Known Implementing Classes:
  SeqImpl

public interface _Seq_Operations
extends _PrimarySeq_Operations

Method Summary
`SeqFeatureIterator` `all_features_iterator(org.omg.CORBA.portable.ObjectImpl seq)`
`SeqFeature[]` `all_features(org.omg.CORBA.portable.ObjectImpl seq)`
`SeqFeatureIterator` `features_region_iterator(org.omg.CORBA.portable.ObjectImpl seq, int start, int end)`
`SeqFeature[]` `features_region(org.omg.CORBA.portable.ObjectImpl seq, int start, int end)`
`PrimarySeq` `get_PrimarySeq(org.omg.CORBA.portable.ObjectImpl seq)`
`int` `max_feature_request(org.omg.CORBA.portable.ObjectImpl seq)`

Methods inherited from interface org.Biocorba.Seqcore._PrimarySeq_Operations
`accession_number, display_id, primary_id, version`

Methods inherited from interface org.Biocorba.Seqcore._AnonymousSeq_Operations
`get_seq, get_subseq, length, max_request_length, type`

Methods inherited from interface GNOME._Unknown_Operations
`query_interface, ref, unref`

Method Detail

### all_features

    public SeqFeature[] all_features(org.omg.CORBA.portable.ObjectImpl seq)
                              throws RequestTooLarge

### all_features_iterator

    public SeqFeatureIterator all_features_iterator(org.omg.CORBA.portable.ObjectImpl seq)

### features_region

    public SeqFeature[] features_region(org.omg.CORBA.portable.ObjectImpl seq,
                                        int start,
                                        int end)
                                 throws OutOfRange,
                                        UnableToProcess,
                                        RequestTooLarge

### features_region_iterator

    public SeqFeatureIterator features_region_iterator(org.omg.CORBA.portable.ObjectImpl seq,
                                                       int start,
                                                       int end)
                                                throws OutOfRange,
                                                       UnableToProcess

### max_feature_request

    public int max_feature_request(org.omg.CORBA.portable.ObjectImpl seq)

### get_PrimarySeq

    public PrimarySeq get_PrimarySeq(org.omg.CORBA.portable.ObjectImpl seq)